コンテンツにスキップ

サービス作成

POST
/api/v1/services

サービス (モニターのグループ) を新規作成します。write スコープが必要です。

作成されるサービスは非公開 (isPublic: 0) です。公開設定の変更は PUT /api/v1/services/{id} を使用してください。 プランのサービス数上限 (free: 1 / pro: 5 / business: 20) を超える場合は 402 を返します。

object
name
required
string
<= 100 characters
Example
Todoke
slug
required

URL スラッグ (小文字英数字とハイフン)

string
>= 2 characters <= 100 characters /^[a-z0-9][a-z0-9-]*[a-z0-9]$/
Example
todoke
description
string
nullable <= 500 characters

作成されたサービス

object
service

Status page with computed counts (returned by Public API)

object
id
string
teamId
string
name
string
slug
string
description
string
nullable
isPublic
integer
maintenanceUntil
string format: date-time
nullable
customDomain
string
nullable
customDomainStatus
string
nullable
Allowed values: pending_validation active failed
customDomainCfId
string
nullable
customDomainValidation
object
autoResolveMaintenance
integer
Allowed values: 0 1
createdAt
string format: date-time
updatedAt
string format: date-time
monitorCount

Number of monitors linked to this status page

integer
activeIncidentCount

Number of ongoing incidents for this status page

integer

サービス数上限に到達 (プランアップグレードが必要)

Write スコープが必要

Slug が既に使用されている